import { request } from '@/api'

// 获取取款渠道列表
export const getChannelWithdrawList = () => {
  return request.get('/channel/getChannelWithdrawList')
}
// 创建取款渠道
export const createChannelWithdraw = (params: any) => {
  return request.post('/channel/createChannelWithdraw', { ...params })
}
// 编辑取款渠道
export const editChannelWithdraw = (params: any) => {
  return request.post('/channel/editChannelWithdraw', { ...params })
}
// 删除取款渠道
export const delChannelWithdraw = (params: any) => {
  return request.post('/channel/delChannelWithdraw', { ...params })
}

// 获取货币列表(用于下拉框)
export const getChannelList = () => {
  return request.get('/currency/getCurrencyList')
}